package com.example.vastlib.entity.action

data class NameValue(
    var name: String,
    var value: String
) : java.io.Serializable {
    override fun equals(other: Any?): Boolean {
        if (this === other) return false
        if (other == null || javaClass != other.javaClass) return false
        return name == (other as NameValue).value
    }

    override fun hashCode(): Int {
        return name.hashCode()
    }

    override fun toString() = ""
}
